/***************************************************************************
                          playerview.h  -  description
                             -------------------
    begin                : Fri Sep 15 10:27:05 CET 2006
    copyright            : (C) 2006 by Harald Krippel
    email                : harald@the-develop.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef PLAYERVIEW_H
#define PLAYERVIEW_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif 

// include files for Qt
#include <qdom.h>

#include "listviews.h"

class QLabel;

class PlayerView : public QObject
{
  Q_OBJECT
  public:
    PlayerView(QObject *parent = 0);
    ~PlayerView();

    void newWirebox( FolderListItem * i);
    void initListView(QDomDocument *domdoc, const QString &path);
    void getListView(QDomDocument *domdoc);
    void buildDomTree( QDomElement *parentElement, FolderListItem *parentItem, QDomDocument *domdoc );
    void buildTree( FolderListItem *parentItem, const QDomElement &parentElement );
    int  getScene(void);    
    FolderListItem * getStart(void);    

public slots:
  	
protected:

   QListView *folders;

  private:

   QString mypath;
   Glcontrol    *gl;
   FolderListItem *tmpItem;	
};

#endif // PLAYERVIEW_H
