/***************************************************************************
                          netclient.h  -  description
                             -------------------
    begin                : Mit Okt 13 2004
    copyright            : (C) 2004 by Harald Krippel
    email                : neuro.harald@surfeu.at
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef NETCLIENT_H
#define NETCLIENT_H

#include <plib/net.h>

#define MAXUSER 1

class netclient {
public: 
	netclient();
  int  logon(const char *host,int rport);
  void logoff();
  void update();
  void send(char *msg);
  void message(char * smsg);

	~netclient();

 // Users
 netAddress netuser[MAXUSER];
 int userid[MAXUSER];
 int status[MAXUSER];
 int zone[MAXUSER];
 char nickname[MAXUSER][256];
 char version[MAXUSER][256];
  
protected:

 netSocket *ssock;
 netSocket *rsock;

 char rmsg[256] ;
 int rlen  ;
 char smsg[256] ;
 int slen  ;
 int maxlen  ;
 int user;

};

#endif
