/***************************************************************************
                          spl_prg.h  -  description
                             -------------------
    begin                : Fri Jan 21 2005
    copyright            : (C) 2005 by Harald Krippel
    email                : neuro.harald@surfeu.at
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef SPL_PRG_H
#define SPL_PRG_H
 
#include <spl.h>
#include "globdefines.h"

void splaInit ();
void splaRedraw ();


class splPrg
{
   public:
     splPrg(const char *prg);

     void compile(void);
     void update(void);
     void TurnOn(void);
     void TurnOff(void);
     
     ~splPrg(void);

  struct spl_vm *vm;
	struct spl_task *task;
  struct spl_asm *as;
  char *spl_source;
  char  prgname[512];
  char  prgsrc[512];
protected:
  int on;
};

#endif // SPL_PRG_H
