/***************************************************************************
                          qcakerun.h  -  description
                             -------------------
    begin                : Mon Sep  18 16:54:22 CET 2006
    copyright            : (C) 2004 by Harald Krippel
    email                : harald@the-develop.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef QCAKERUN_H
#define QCAKERUN_H

// include files for QT
#include <qobject.h>
//#include <qmainwindow.h>
#include <qaction.h>
//#include <qstatusbar.h>
#include <qmessagebox.h>
#include <qfiledialog.h>
#include <qprinter.h>
#include <qstring.h>


// forward declaration of the Qcake classes
class PlayerView;

/**
  * This Class is the base class for your application.
  */
class QcakeRunApp : public QObject
{
  Q_OBJECT
  
  public:
    /** construtor */
    QcakeRunApp(QObject *parent=0);
    /** destructor */
    ~QcakeRunApp();

    /** opens a file specified by commandline option
     */
    void openDocumentFile(const char *file=0);

  public slots:
    void slotToolsPlay();
    void slotToolsStop();
    void slotToolsReset();

  protected:

    void initView();
  
  private slots:


  private:


    PlayerView *view;
    
    QAction* toolsPlay;
    QAction* toolsStop;
    QAction* toolsReset;

};
#endif

