/***************************************************************************
                          mylampdlg.h  -  description
                             -------------------
    begin                : Mon Feb 10 2003
    copyright            : (C) 2003 by Harald Krippel
    email                : neuro.harald@surfeu.at
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#include <qlistview.h>
#include "lampdlg.h"
#include <listviews.h>
  
 class MyLampEditDlg : public LampEditDlg
{
    Q_OBJECT

public:
    MyLampEditDlg( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
    ~MyLampEditDlg();


public slots:
    virtual void slotGetData();
    virtual void slotGetData(FolderListItem *i);
    virtual void slotEditData();
    virtual void slotEditColorAmb();
    virtual void slotEditColorSpe();
    virtual void slotEditColorDif();


protected:
       FolderListItem *point;
       QColor mycolor;
       QColor mycolor_dif;
       QColor mycolor_spe;
       QColor mycolor_amb;
};
