/***************************************************************************
                          myshadereditdlg.h  -  description
                             -------------------
    begin                : Mon Mai 15 2006
    copyright            : (C) 2006 by Krippel Harald
    email                : neuro.harald@surfeu.at
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef MYSHADEREDITDLG_H
#define MYSHADEREDITDLG_H

#include <qlistview.h>
#include "shaderdlg.h"
#include <listviews.h>

class MyShaderEditDlg : public ShaderEditDlg  {

    Q_OBJECT

public: 
	MyShaderEditDlg(QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
	~MyShaderEditDlg();

public slots:
    virtual void slotGetData();
    virtual void slotGetData(FolderListItem *i);
    virtual void slotEditData();
    virtual void slotEditVertexData();
    virtual void slotEditFragmentData();

protected:
       FolderListItem *point;

};

#endif
